Package uk.ac.starlink.vo

# Interface TapServiceFinder.Service

Enclosing interface:
  TapServiceFinder

public static interface TapServiceFinder.Service
Basic metadata describing a TAP service.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a textual description of this service.
`String`
`getId()`
Returns the IVO Identifier for this service.
`String`
`getName()`
Returns the short name of this service.
`String`
`getServiceUrl()`
Returns the TAP base URL for access to this service.
`int`
`getTableCount()`
Returns the number of tables provided by this service.
`String`
`getTitle()`
Returns the title of this service.

## Method Details

### getId

String getId()
Returns the IVO Identifier for this service.

Returns:
  service ivoid

### getName

String getName()
Returns the short name of this service.

Returns:
  service name

### getTitle

String getTitle()
Returns the title of this service.

Returns:
  service title

### getDescription

String getDescription()
Returns a textual description of this service.

Returns:
  service description

### getServiceUrl

String getServiceUrl()
Returns the TAP base URL for access to this service.

Returns:
  TAP base URL

### getTableCount

int getTableCount()
Returns the number of tables provided by this service. If not known, -1 may be returned.

Returns:
  table count, or -1